<template>
  <span class="color-nm-blue" :class="[params.data.useYN == 'Y' ? 'color-blue2' : '']">{{ getUseYnText(params.value) }}</span>
</template>

<script setup>
  import { useI18n } from 'vue-i18n';
  // props
  const props = defineProps({
    params: Object,
  })

  const i18n = useI18n()
  
  const getUseYnText = computed(() => {
    return (val) => {
      if(!useUtil.isNull(val)) {
        // 다국어처리 하기
        return val === 'Y' ? i18n.t('common.enabled') : i18n.t('common.disabled') 
      }
    }
  })
</script>